json
{
"ServiceId": "SID-abc123",
"DistributorId": "DID-abc123",
"Price": 9.99,
"Monthly": true
}curl -X POST https://api.telegent.com/v1.0/services/items/add \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"ServiceId": "SID-abc123",
"DistributorId": "DID-abc123",
"Price": 9.99,
"Monthly": true
}'import requests
url = "https://api.telegent.com/v1.0/services/items/add"
payload = {
"ServiceId": "SID-abc123",
"AggregatorId": "AGG-abc123",
"DistributorId": "DID-abc123",
"Price": 9.99,
"Monthly": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
ServiceId: 'SID-abc123',
AggregatorId: 'AGG-abc123',
DistributorId: 'DID-abc123',
Price: 9.99,
Monthly: true
})
};
fetch('https://api.telegent.com/v1.0/services/items/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ServiceId": "SID-abc123",
"Price": 9.99,
"Monthly": true,
"Successful": true
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Services
Add Service Item
Add a new pricing item or component to an existing service. Service items define the cost and billing frequency (monthly or one-time) for the service at a specific distributor or aggregator level.
What this does: Returns a confirmation for the new item. Service items define the price and billing frequency for a service at a specific distributor or aggregator scope. Multiple items can exist on a single service for different pricing tiers.
Next steps:
- View all items on the service —
GET /v1.0/services/items - Update an item —
POST /v1.0/services/items/update
POST
/
v1.0
/
services
/
items
/
add
json
{
"ServiceId": "SID-abc123",
"DistributorId": "DID-abc123",
"Price": 9.99,
"Monthly": true
}curl -X POST https://api.telegent.com/v1.0/services/items/add \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"ServiceId": "SID-abc123",
"DistributorId": "DID-abc123",
"Price": 9.99,
"Monthly": true
}'import requests
url = "https://api.telegent.com/v1.0/services/items/add"
payload = {
"ServiceId": "SID-abc123",
"AggregatorId": "AGG-abc123",
"DistributorId": "DID-abc123",
"Price": 9.99,
"Monthly": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
ServiceId: 'SID-abc123',
AggregatorId: 'AGG-abc123',
DistributorId: 'DID-abc123',
Price: 9.99,
Monthly: true
})
};
fetch('https://api.telegent.com/v1.0/services/items/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ServiceId": "SID-abc123",
"Price": 9.99,
"Monthly": true,
"Successful": true
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Body
application/json
The service ID to add the item to
Example:
"SID-abc123"
Optional aggregator ID
Example:
"AGG-abc123"
Optional distributor ID
Example:
"DID-abc123"
The price for this service item
Example:
9.99
Whether this is a monthly recurring charge (true) or one-time (false)
Example:
true
Response
Success — returns the created service item
The response is of type object.
⌘I